@import url("https://fonts.googleapis.com/css2?family=Barlow&family=Barlow+Condensed&family=Bellefair&display=swap");

html body {
  overflow-x: hidden !important;

  width: 100%;
  min-height: 100vh;
  margin: 0;
  padding: 0;
  border: 0;

  /* Center and scale the image nicely */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover !important;
}

*,
*::before,
*::after {
  /*border: 1px solid white;*/
  overflow-x: hidden !important;
  box-sizing: inherit;
}

/*
######################################################################
    Superior part
######################################################################
*/
#logo {
  position: absolute;
  top: 24px;
  left: 24px;

  width: 40px;
  height: 40px;
}

#logo:hover,
.explore:hover {
  cursor: pointer;
}

/* -------------- Burger styling ----------------- */
.btn {
  position: fixed;
  z-index: 5;
  top: 22px;
  right: 17px;

  width: 24px;
  height: 21px;

  transition: all 0.5s ease-out;
  transform: rotate(-0.5turn);
}

/* ----------- close btn style------------- */
.close-btn {
  z-index: 5;
  top: 22px;
  right: 17;
  width: 21px;
  height: 21px;
  transition: all 0.5s ease-out;
  transform: rotate(0.5turn);
}

main {
  display: flex;
  flex-direction: column;
  margin-top: 0;
  margin-bottom: 30px;
  padding-top: 13.97vh;
  align-items: center;
  overflow-x: hidden !important;
}

h1,
.explore {
  font-family: "Bellefair", serif;
}

h1 {
  font-size: clamp(
    80px,
    calc(6.572769953051644vw + 55.352112676056336px),
    150px
  );
  font-weight: 400;
  margin: -28px 0 0 0;
  padding: 0.5rem 0rem;
  text-transform: uppercase;
  color: white;
}

#textBeforeTitle,
.link-page {
  font-family: "Barlow Condensed", sans-serif;
}

#textBeforeTitle,
#textAfterTitle {
  color: #d0d6f9;
}

main > p:first-child {
  font-size: clamp(
    16px,
    calc(1.1267605633802817vw + 11.774647887323944px),
    28px
  );

  letter-spacing: 0.169rem;
  text-transform: uppercase;
}

#numberPageId {
  color: gray;
  padding-right: 17px;
}

h1 + p {
  font-family: "Barlow", sans-serif;
  font-size: clamp(
    15px,
    calc(0.28169014084507044vw + 13.943661971830986px),
    18px
  );
  line-height: 1.56rem;
  margin: 0 11%;
  padding: 0.5625rem 0 20px 0;
  text-align: center;
}

.explore {
  display: flex;
  width: 150px;
  height: 150px;
  margin-top: 10vh;
  margin-bottom: 30px;
  vertical-align: middle;
  border-radius: 100%;
  background: white;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  border: 0px solid rgba(85, 89, 109, 0.6);
  -webkit-animation: breathing 5s ease-out infinite normal;
  animation: breathing 5s ease-out infinite normal;
}

@-webkit-keyframes breathing {
  0% {
    border: 0px solid rgba(85, 89, 109, 0.3);
  }

  25% {
    border: 12px solid rgba(85, 89, 109, 0.4);
  }

  60% {
    border: 4px solid rgba(85, 89, 109, 0.3);
  }

  100% {
    border: 0px solid rgba(85, 89, 109, 0.2);
  }
}
.explore:hover {
  box-shadow: 0px 0px 1px 30px rgba(255, 255, 255, 0.2);
  -webkit-animation: shutter-in-top 0.3s ease 0s 1 normal none;
          animation: shutter-in-top 0.3s ease 0s 1 normal none;
}

@-webkit-keyframes shutter-in-top {
  0% {
    box-shadow: 0px 0px 1px 0px rgba(255, 255, 255, 0.2);
  }
  100% {
    box-shadow: 0px 0px 1px 30px rgba(255, 255, 255, 0.2);
  }
}

@keyframes shutter-in-top {
  0% {
    box-shadow: 0px 0px 1px 0px rgba(255, 255, 255, 0.2);
  }
  100% {
    box-shadow: 0px 0px 1px 30px rgba(255, 255, 255, 0.2);
  }
}

.explore > p {
  font-size: clamp(
    20px,
    calc(1.1267605633802817vw + 15.774647887323944px),
    32px
  );
  display: block;
  letter-spacing: 1.25px;
  text-transform: uppercase;
  color: #0b0d17;
}

/*
######################################################################
    Sidebar
######################################################################
*/
.sidebar {
  position: fixed;
  z-index: 0;
  right: -254px;
  overflow: hidden;
  width: 0;
  transition: 0.6s all ease-out;
}

.sidebar-open {
  position: fixed;  
  z-index: 5;
  right: 0;
  overflow: hidden;
  width: 254px;
  height: 100%;
  -webkit-backdrop-filter: blur(50px);
          backdrop-filter: blur(50px);
}

.sidebarChildContainer {
  display: flex;
  flex-direction: column;

  align-items: center;
  justify-content: start;
}

.link-page:nth-child(1) {
  margin-top: 118px;
}

.link-page {
  font-size: 1rem;
  font-weight: 400;

  width: 100%;
  margin-top: 33px;
  padding-left: 32px;

  text-decoration: none;
  letter-spacing: 0.169rem;

  color: white;
  /* estilo de borde para colocar segun en la pagina que este
  border-right: 4px solid #fff; */
}

.link-page > span {
  font-weight: 700;
}

/*
######################################################################
    01 Destination page Mobile
######################################################################
*/

p {
  color: #d0d6f9;
}

.textBeforeTitle-destination {
  margin-top: -21px;
}

.mainImgPlanet {
  width: 170px;
  height: 170px;
  margin: 15px 0 0 0;
}

.containerTabs {
  display: flex;

  width: 236px;

  justify-content: space-between;
}

.destinationTab {
  font-family: "Barlow Condensed";
  font-size: clamp(
    14px,
    calc(0.18779342723004694vw + 13.295774647887324px),
    16px
  );
  font-weight: 400;
  line-height: 17px;

  margin-bottom: 12px;
  padding: 27px 0 10px 0;

  text-decoration: none;
  letter-spacing: 2.3625px;
  text-transform: uppercase;

  color: white;
}

.main-title-destination {
  font-size: clamp(
    56px,
    calc(4.131455399061033vw + 40.50704225352113px),
    120px
  );

  margin: -32px 0 0 0;
  padding: 10px 0 0 0;
}

.textAfterTitle-destination {
  line-height: 25px;

  margin-top: 0;
  margin-bottom: 15px;
  padding-top: 0;
  padding-bottom: 25px;

  border-bottom: 1px solid gray;
}

body > main > div:nth-child(8) {
  justify-content: space-between !important;
}

.containerDescriptionDestinations {
  display: flex;
  flex-direction: column;

  height: 100xp;
  padding: 0;

  align-items: center;
}

.descriptionData {
  font-family: "Barlow Condensed", sans-serif;
  font-size: 0.88rem;
  font-weight: 400;

  margin: 0;
  padding: 12px 10px;

  letter-spacing: 2.3625px;
  text-transform: uppercase;
}

.dataDestination {
  font-family: "Bellefair", serif;
  font-size: 1.75rem;
  font-weight: 400;

  margin: 0;
  padding-top: 2px;
  padding-bottom: 20px;

  text-transform: uppercase;

  color: white;
}

/*
######################################################################
    03 Crew Mobile
######################################################################
*/
.crewSubHeading {
  margin-top: -11px;
}

.mainImgCrew {
  width: 177.12px;
  height: 222px;
  margin-top: 10px;
}

.bulletsContainer {
  display: flex;

  width: 50%;
  height: 10px;
  padding: 39px 0;
  padding-top: 37px;
  padding-bottom: 43px;

  border-top: 1px solid #666b88;

  justify-content: center;
}

.crewBullets {
  width: 10px;
  height: 10px;
  margin: 0 8px;
  padding: 0;

  border-radius: 100px;
  background: #666b88;
}

.bullet-page-hover:hover {
  background: #d0d6f9;
}

.activeBullet {
  background: white;
}

.subtitleCrew {
  font-family: "Bellefair", serif;
  font-size: clamp(16px, calc(1.971830985915493vw + 8.6056338028169px), 37px);

  margin: 0;

  text-transform: uppercase;

  opacity: 0.5;
}

.crewName {
  font-size: clamp(
    24px,
    calc(3.004694835680751vw + 12.732394366197184px),
    56px
  );

  margin: 0;
}

.textAfterNameCrew {
  width: 88%;
}

html body {
  padding: 0px;
}

/*
######################################################################
    04 Technology
######################################################################
*/
.subHeadTech {
  margin-top: -12px;
  margin-bottom: 31px;
}

.imgTech {
  width: 100%;
  height: 155px;

  background-position: 50% 82% !important;
  background-size: 104% !important;
  overflow-x: hidden;
}

.beforeName {
  font-family: "Barlow Condensed", sans-serif;
  font-size: clamp(
    14px,
    calc(0.18779342723004694vw + 13.295774647887324px),
    16px
  );
  font-weight: 400;
  line-height: 17px;
  height: 17px;
  padding-top: 12px;
  text-align: center;
  letter-spacing: 2.3625px;
  text-transform: uppercase;
  color: #d0d6f9;
  overflow-y: hidden;
}

.containerNumbersTech {
  display: flex;
  width: 150px;
  padding-top: 33px;
  justify-content: space-between;
  align-items: center;
}

.tabNumbers {
  font-family: "Bellefair", serif;
  font-size: 1rem;
  line-height: 40px;
  width: 40px;
  height: 40px;

  text-align: center;
  text-decoration: none;

  color: white;
  border-radius: 100px;
}

.tabNumber-page-hover:hover {
  border: 1px solid #d0d6f9 !important;
}

.mainTextTech {
  width: 90%;
}

.link-page-hover:hover {
  border-bottom: 2px solid #d0d6f9 !important;
  transition: all 0.5seg ease-out;
}

/*
######################################################################
  Vistas para tablets 
######################################################################
*/
@media only screen and (min-width: 768px) {
  #logo {
    width: 48px;
    height: 48px;
    margin: 0px 0px 0px 14px;
    position: relative;
  }

  #sidebar {
    position: absolute;
  }

  /*
######################################################################
  00 Home Tablets
######################################################################
*/
  main {
    margin-bottom: 40px;
  }
  #btn {
    display: none;
  }

  .sidebar-nonSmall {
    position: absolute;
    z-index: 5;
    right: 0;

    box-sizing: border-box;
    width: clamp(
      250px,
      calc(54.460093896713616vw + 45.774647887323965px),
      830px
    );
    height: 96px;

    background: rgba(255, 255, 255, 0.04);
  }

  .sidebarChildContainer {
    display: flex !important;
    flex-direction: row;

    box-sizing: border-box;

    justify-content: space-around;
    align-items: center;
  }

  #number0,
  #number1,
  #number2,
  #number3 {
    display: none;
  }
  .link-page:nth-child(1) {
    margin: 0;
  }

  .link-page {
    width: auto;
    margin: 0;
    padding: 37px 0px;
    text-align: center;
    align-self: center;
  }

  .textBeforeTitle-home-tablet {
    margin: 52px 0px 25px;
  }

  h1 {
    font-size: clamp(
      150px,
      calc(1.488095238095238vw + 138.57142857142858px),
      160px
    );
  }

  h1 + p {
    width: 445px;
    padding: 32px 19.5% 0px 19.5%;
  }

  .explore {
    width: 242px;
    height: 242px;
    margin-top: 9.3vh;
  }
  /*
######################################################################
  01 Destination Tablets
######################################################################
*/
  .main-padingTop-noHome {
    padding-top: 50px;
  }

  .crewSubHeading,
  .textBeforeTitle-destination,
  .subHeadTech,
  .textBeforeTitle-123-tablet {
    margin-top: 88px;
    margin-left: -327px;
    width: 400px;
  }

  .textBeforeTitle-destination {
    width: 350px;
  }
  .mainImgPlanet-tablet {
    width: 300px;
    height: 300px;
    margin: 62px 0px 10px 0px;
  }

  .containerTabs-tablet {
    width: 40%;
    margin-top: 16px;

    height: 74px;
    box-sizing: border-box;
  }

  .main-title-destination-tablet {
    padding-top: 30px;
    padding-bottom: 10px;
  }

  .textAfterTitle-destination-tablet {
    width: 570px;
    padding: 40px 0px 30px 0px;
  }

  body > main > div:nth-child(8) {
    width: 50%;
    display: flex;
    justify-content: space-between;
  }
  /*
######################################################################
  02 Crew Tablet
######################################################################
*/

  /*before I should use Flexbox, I realized late */
  .main-crew-tablet {
    display: grid;
    height: 100%;
    padding-top: 50px;
    margin-bottom: 0px;
    grid-template-rows: repeat(5, 1fr), 5fr;
    grid-template-columns: 1fr;
    justify-items: center;
    align-items: center;
    overflow-x: hidden;
    grid-template-areas:
      "item1"
      "item2"
      "item3"
      "item4"
      "item5"
      "item6";
  }

  .subHeading-gridItem {
    grid-area: item1;
  }

  .subTitle-gridItem {
    grid-area: item2;
    padding: 60px 0px 5px 0px;
  }

  .nameCrew-gridItem {
    grid-area: item3;
  }

  .textAfterTitleCrew-gridItem {
    grid-area: item4;
    width: 458px !important;
    padding-top: 10px;
    line-height: 28px;
  }

  .containerTabsCrew-gridItem {
    grid-area: item5;
    padding: 12px 0px 30px 0px;
    border: 0px;
  }

  .mainImgCrew-gridItem {
    grid-area: item6;
    height: 565px;
    width: auto;
  }

  html body {
    padding: 0px !important;
  }
  /*
######################################################################
  03 Technology Tablet
######################################################################

*/

  .imgTechDiv-tech-tablet {
    margin-top: 18px;
    height: 310px;
  }

  .containerTabs-tech-tablet {
    padding-top: 78px;
    width: 215px;
  }

  .tabNumbers {
    width: 60px;
    height: 60px;
    border-radius: 100%;
    line-height: 60px;
  }

  .subTitle-tech-tablet {
    padding-top: 30px;
  }

  .main-title-tech-tablet {
  }

  .textAfterTitle-tech-tablet {
    width: 460px;
    padding-top: 10px;
    line-height: 27px;
  }
}

/*
######################################################################
  Vista para Desktop
######################################################################
*/
@media only screen and (min-width: 1200px) {
  #logo {
    display: relative !important;
    margin: 44px 0px 0px 35px;
  }

  #number0,
  #number1,
  #number2,
  #number3 {
    display: inline;
  }

  .sidebar {
    margin-top: 40px;
    padding-left: 66px;

    width: 830px;
    display: initial;
    right: 0px;
  }

  main {
    padding-top: 0px;
    margin-top: -8px;
  }

  
  /*
######################################################################
  00 Home Desktop
######################################################################
*/
  .main-home-desktop {
    gap: 24px 100px;
    padding: 0px 169px 0px 169px;
    display: grid;
    height: auto; /*calc(100vh - 88px);*/
    margin-bottom: 0px;
    grid-template-rows: 0.5fr 0.7fr 160px 1fr;
    grid-template-columns: 1fr 1fr;
    place-items: center flex-start;
    grid-template-areas:
      "line         none"
      "subHead   button"
      "title        button"
      "content      button";
    z-index: -3 !important;
  }

.hrStyle {
    grid-area: line;
    margin:0px !important;
    width: clamp(281px, calc(17.9375rem + ((1vw - 12px) * 85.4167)), 492px);
    place-self:flex-start flex-start !important;
  }

  .textBeforeTitle-home-desktop {
    grid-area: subHead;
    place-self: center flex-start;
    height: auto;
    width: 100%;
    margin: 0px;
    margin-top: 0px;
  }

  .main-title-home-desktop {
    grid-area: title;
    place-self: center flex-start;
    margin: 0px;
    padding: 0px;
  }

  .textAfterTitle-home-desktop {
    grid-area: content;
    place-self: flex-start flex-start;
    text-align: justify;
    padding: 0px;
    margin: 0px;
    line-height: 32px;
  }

  .explore {
    grid-area: button;
    width: 274px;
    height: 274px;
    margin: 0px 10% 0px 37%;
  }

  /*
######################################################################
  01 Destinations Desktop
######################################################################
*/

  .main-destination-desktop {
    gap: 24px 100px;
    padding: 0px 169px 0px 12vw;
    display: grid;
    grid-template-rows: 105px 1fr 19.5px 123px auto auto 0.2fr;
    /*height:initial;/*calc(100vh - 88px);*/
    margin-bottom: 0px;
    grid-template-columns: 1.3fr 1fr;
    place-items: flex-start flex-start;
    overflow-x: hidden;
    overflow-y: visible;
    grid-template-areas:
      "line          .      "
      "subHead       none"
      ".             tabs"
      "imgPlanet    title"
      "imgPlanet  content"
      "imgPlanet     data";
    z-index: -3 !important;
  }

  .textBeforeTitle-destination-desktop {
    grid-area: subHead;
    width: 100%;
    margin: 0px 0px 0px 0px;
    place-self: flex-start flex-start;
  }

  .mainImg-destination-desktop-desktop {
    grid-area: imgPlanet;
    width: clamp(350px, calc(25rem + ((1vw - 12px) * 18.75)), 445px);
    height: clamp(350px, calc(25rem + ((1vw - 12px) * 18.75)), 445px);
    margin: 0px;
    margin-left: clamp(
      -15px,
      calc(0.9375rem + ((1vw - 12px) * 14.15)),
      48.96px
    );
  }

  .containerTabs-destination-desktop {
    grid-area: tabs;
    width: 280px;
  }

  .destinationTab {
    padding-top: 10px;
  }

  .main-title-destination-desktop {
    grid-area: title;
    padding-bottom: 0px;
    place-self: flex-end flex-start;
  }

  .textAfterTitle-destination-desktop {
    grid-area: content;
    padding: 0px;
    width: 440px;
    text-align: left;
    margin: 0px;
    text-justify: initial;
    line-height: 31px;
    padding-bottom: 50px;
  }

  .planetDataContainer-destination-desktop {
    grid-area: data;
    justify-content: space-between;
    width: 85% !important;
    padding: 30px 0px;
  }
  /*
######################################################################
  02 Crew Desktop
######################################################################
*/

  .main-crew-desktop {
    gap: 24px 130px;
    padding: 0px 169px 0px 12vw;
    display: grid;
    grid-template-rows: 105px 0.535fr 14px auto auto 0.4fr;
    margin-bottom: 0px;
    grid-template-columns: 1.3fr 1fr;
    place-items: flex-start flex-start;
    overflow-y: hidden;
    grid-template-areas:
      "line             .      "
      "subHead          imgCrew"
      "professionCrew   imgCrew"
      "nameCrew         imgCrew"
      "contentCrew      imgCrew"
      "bullets          imgCrew";
    z-index: -3 !important;
  }

  .textBeforeTitle-crew-desktop {
    grid-area: subHead;
    margin-top: 0px;
    margin-left: 0px;
    width: 100%;
  }

  .mainImg-crew-desktop {
    grid-area: imgCrew;
    width: auto;
    margin: 0px;
    height: auto;
    max-height: 640px;
    place-self: flex-end center;
    border-bottom: 1px solid gray;
  }

  .subTitle-crew-desktop {
    grid-area: professionCrew;
  }

  .main-title-crew-desktop {
    grid-area: nameCrew;
    overflow-x: hidden;
    place-self: flex-end flex-start;
    width: 100%;
  }

  .textAfterTitle-crew-desktop {
    grid-area: contentCrew;
    padding: 0px;
    margin: 0px;
    width: 440px;
    height: 130px;
    text-justify: auto;
    text-align: left;
  }

  .containerTabs-crew-desktop {
    grid-area: bullets;
    width: 23%;
    margin: 0px;
    padding: 20px 0px 50px 0px;
    border: 0px;
    display: flex !important;
    text-align: left;
  }

  /*
######################################################################
  03 Technology Desktop
######################################################################
*/
  .main-technology-desktop {
    gap: 24px 69px;
    padding: 0px 0px 0px 12vw;
    display: grid;
    grid-template-rows: 105px auto 0.2fr 0fr auto 0.05fr 0.4fr 0.09fr;
    margin-bottom: 0px;
    grid-template-columns: 90px 1.8fr 2fr;
    place-items: flex-start flex-start;
    overflow-y: visible;
    grid-template-areas:
      "line             .              .      "
      "subHead          subHead        .      "
      ".                .              techImg"
      "containerNumbers theTerminology techImg"
      "containerNumbers mainTitle      techImg"
      "containerNumbers techContent    techImg"
      ".                .              techImg"
      ".                .              .      ";
    z-index: -3 !important;
  }

.technologyHr {  
  grid-area: line;
  margin:0px !important;
  width: clamp(281px, calc(17.9375rem + ((1vw - 12px) * 85.4167)), 492px) !important;
  place-self:flex-start flex-start !important;
}

  .textBeforeTitle-technology-desktop {
    grid-area: subHead;
    margin-left: 0px;
    margin-top: 0px;
  }

  .containerTabs-technology-desktop {
    grid-area: containerNumbers;
    padding-top: 0px;
    width: 95px;
    height: 90%;
    flex-direction: column;
    place-self: center flex-start;
  }

  .tabNumbers {
    border: 0px;
    width: 80px;
    height: 80px;
    font-size: 32px;
    line-height: 80px;
  }

  .imgTechDiv-technology-desktop {
    grid-area: techImg;
    height: 100%;
    margin: 0px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover !important;
  }

  .subTitle-technology-desktop {
    grid-area: theTerminology;
    place-self: flex-start !important;
    padding: 0px;
    margin: 0px;
  }

  .main-title-technology-desktop {
    grid-area: mainTitle;
    padding: 0px;
  }

  .textAfterTitle-technology-desktop {
    grid-area: techContent;
    padding: 0px;
    margin: 0px;
    height: 215px;
    line-height: 1.75;
    text-align: left;
  }
}
